org.eclipse.microprofile.config.tck

## Class Location

- java.lang.Object
- - org.eclipse.microprofile.config.tck.Location

    public class Location
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Location(String loc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getCity()`
`String` `getCountry()`
`String` `getCounty()`
`String` `getPostcode()`
`String` `getRoad()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Location

    public Location(String loc)

### Method Detail

#### getRoad

    public String getRoad()

Returns:
  String return the road

#### getCity

    public String getCity()

Returns:
  String return the city

#### getCounty

    public String getCounty()

Returns:
  String return the county

#### getPostcode

    public String getPostcode()

Returns:
  String return the postcode

#### getCountry

    public String getCountry()

Returns:
  String return the country

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`